curl --request POST \
--url https://api.erlcrussia.xyz/v2/moscowroleplay/civops/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "1133665013794607114",
"item": {
"name": "Петух",
"amount": 1,
"description": "Надежный петух, с помощью которого вы можете выиграть (или проиграть) петушиный бой."
}
}
'{
"success": true,
"userId": "1133665013794607114",
"item": "Петух",
"amount": 1
}Economy API POST Endpoints
User Inventory Operations
Manage user inventory.
Available actions:
addItem- add item to inventory (requires userId, item).removeItem- remove item from inventory (requires userId, itemName, amount).clearInventory- clear entire inventory (requires userId).
POST
/
moscowroleplay
/
civops
/
users
curl --request POST \
--url https://api.erlcrussia.xyz/v2/moscowroleplay/civops/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "1133665013794607114",
"item": {
"name": "Петух",
"amount": 1,
"description": "Надежный петух, с помощью которого вы можете выиграть (или проиграть) петушиный бой."
}
}
'{
"success": true,
"userId": "1133665013794607114",
"item": "Петух",
"amount": 1
}Authorizations
API key for accessing CivOps endpoints.
Passed in the Authorization: Bearer <key> header.
REQUIRED FOR ALL CIVOPS ENDPOINTS (except /health).
Query Parameters
Operation type.
Available options:
addItem, removeItem, clearInventory Body
application/json
The body is of type object.
Response
Operation successfully completed.
The response is of type object.
Was this page helpful?